
Redmine - Defect #22162

Workflow - Tracker/Role is not "project" specific

2016-03-07 15:16 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

We do have several different workflows established for different projects. Since most of our guys here do have differrent roles in

different projects, the workflow feature does not seem to work correctly. We still see Ticket Status, which are not used in the workflow

for the role PRJ_NAME-Manager (just to make it easier, the PRJ_NAME is used in the Rolename).

I have tried it the other way around and added all Status to a Role which I do have as well (Manager), and now I do see all Status in

the Ticket, even though I am not having the role "Manager" in this project.

Could be, that this is related to #20384.

We are using still:

Environment:

  Redmine version                          2.3.0.stable

  Ruby version                             1.9.2 (x86_64-linux)

  Rails version                            3.2.13

  Environment                              production

  Database adapter                         PostgreSQL

Redmine plugins:

  parent_issue_filter                      1.0.1

  redmine_ckeditor                         1.0.16

  redmine_people                           0.1.8

  redmine_tagging                          0.0.1

Related issues:

Is duplicate of Redmine - Defect #11625: Administrator Does Not Follow Workfl... Closed

History

#1 - 2016-03-07 15:22 - Anonymous

Just for clarification. During my tests, I assigned all Status to the user Manager, but in the project I am testing, I do not have this role. Therefor it looks

like the role is not determined from the project, but all roles belonging to my users are used. This is IMHO plainly wrong.

#2 - 2016-03-07 15:50 - Anonymous

Looks like this is because I am also registered as "admin". I guess, that this is the cause. Can anybody prove this?

#3 - 2016-04-06 05:38 - Toshi MARUYAMA

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Duplicate

Duplicate of #11625.

#4 - 2016-04-06 05:38 - Toshi MARUYAMA

- Is duplicate of Defect #11625: Administrator Does Not Follow Workflow For Project added
